Skip to main content
GET
Get current step

Authorizations

X-Auth
string
header
required

Service-to-service API key

Headers

X-Permission-Info
string

Required API key permission: valid (informational only -- enforced server-side)

Path Parameters

run_id
string<uuid>
required

UUID of the workflow run

Response

Current step found

Materialized step for a run (from WorkflowRunStepModel.to_dict())

id
string<uuid>

Step UUID

run_id
string<uuid>

Parent run UUID

name
string

Step name (e.g., creating_sage, reading_context)

step_order
integer

Position in sequence (0-indexed)

state
enum<string>

Current state of a workflow step:

  • pending -- waiting to start
  • running -- actively executing
  • finished -- completed successfully
  • failed -- execution failed
Available options:
pending,
running,
finished,
failed
timing_avg_ms
integer | null

Average expected duration (from template)

timing_min_ms
integer | null

Minimum expected duration

timing_max_ms
integer | null

Maximum expected duration

label
string[] | null

Display labels for the step

started_at
string<date-time> | null

When the step started

ended_at
string<date-time> | null

When the step ended

duration_ms
integer | null

Actual duration in milliseconds

number_of_steps
integer

Total steps in the parent run

current_duration
number

Elapsed time in ms (only present when state is running)